# CreditDisplay

#### new Cesium.CreditDisplay(container, delimiter)
Scene/CreditDisplay.js 159

  The credit display is responsible for displaying credits on screen.

  Name | Type | Default | Description
  --- | --- | --- | ---
  `container` | HTMLElement |  | The HTML element where credits will be displayed
  `delimiter` | String | `' • '` | optional The string to separate text credits

  ##### Example:

      var creditDisplay = new Cesium.CreditDisplay(creditContainer);

### Members

#### container : HTMLElement
Scene/CreditDisplay.js 192

  The HTML element where credits will be displayed.

### Methods

#### addCredit(credit)
Scene/CreditDisplay.js 200

  Adds a credit to the list of current credits to be displayed in the credit container

  Name | Type | Description
  --- | --- | ---
  `credit` | Credit | The credit to display

#### addDefaultCredit(credit)
Scene/CreditDisplay.js 225

  Adds credits that will persist until they are removed

  Name | Type | Description
  --- | --- | ---
  `credit` | Credit | The credit to added to defaults

#### beginFrame(credit)
Scene/CreditDisplay.js 276

  Resets the credit display to a beginning of frame state, clearing out current credits.

  Name | Type | Description
  --- | --- | ---
  `credit` | Credit | The credit to display

#### destroy() → undefined
Scene/CreditDisplay.js 309

  Destroys the resources held by this object. Destroying an object allows for deterministic release of resources, instead of relying on the garbage collector to destroy this object.
  Once an object is destroyed, it should not be used; calling any function other than `isDestroyed` will result in a `DeveloperError` exception. Therefore, assign the return value (`undefined`) to the object as done in the example.

  ##### Returns:

  ##### Throws:

  - DeveloperError : This object was destroyed, i.e., destroy() was called.

#### endFrame(credit)
Scene/CreditDisplay.js 286

  Sets the credit display to the end of frame state, displaying current credits in the credit container

  Name | Type | Description
  --- | --- | ---
  `credit` | Credit | The credit to display

#### isDestroyed() → Boolean
Scene/CreditDisplay.js 322

  Returns true if this object was destroyed; otherwise, false.

  ##### Returns:

  `true` if this object was destroyed; otherwise, `false`.

#### removeDefaultCredit(credit)
Scene/CreditDisplay.js 250

  Removes a default credit

  Name | Type | Description
  --- | --- | ---
  `credit` | Credit | The credit to be removed from defaults